Debian Bug report logs - #635969
/usr/sbin/apt-p2p: Failed to load application: cannot import name OpProgress

version graph

Package: apt-p2p; Maintainer for apt-p2p is Cameron Dale <camrdale@gmail.com>; Source for apt-p2p is src:apt-p2p.

Reported by: Tathar <tathar.dev@gmail.com>

Date: Fri, 29 Jul 2011 21:21:02 UTC

Severity: grave

Tags: confirmed, patch, sid, wheezy

Merged with 641732

Found in version apt-p2p/0.1.6

Fixed in version apt-p2p/0.1.6+nmu1

Done: Michael Gilbert <mgilbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cameron Dale <camrdale@gmail.com>:
Bug#635969; Package apt-p2p. (Fri, 29 Jul 2011 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tathar <tathar.dev@gmail.com>:
New Bug report received and forwarded. Copy sent to Cameron Dale <camrdale@gmail.com>. (Fri, 29 Jul 2011 21:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tathar <tathar.dev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/sbin/apt-p2p: Failed to load application: cannot import name OpProgress
Date: Fri, 29 Jul 2011 23:18:06 +0200
Package: apt-p2p
Version: 0.1.6
Severity: important
File: /usr/sbin/apt-p2p

Starting apt-p2p
/usr/lib/pymodules/python2.6/apt_p2p_Khashmir/DHT.py:8: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import os, sha, random
Unhandled Error
Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/twisted/application/app.py", line 622, in run
    runApp(config)
  File "/usr/lib/python2.6/dist-packages/twisted/scripts/twistd.py", line 23, in runApp
    _SomeApplicationRunner(config).run()
  File "/usr/lib/python2.6/dist-packages/twisted/application/app.py", line 376, in run
    self.application = self.createOrGetApplication()
  File "/usr/lib/python2.6/dist-packages/twisted/application/app.py", line 441, in createOrGetApplication
    application = getApplication(self.config, passphrase)
--- <exception caught here> ---
  File "/usr/lib/python2.6/dist-packages/twisted/application/app.py", line 452, in getApplication
    application = service.loadApplication(filename, style, passphrase)
  File "/usr/lib/python2.6/dist-packages/twisted/application/service.py", line 400, in loadApplication
    application = sob.loadValueFromFile(filename, 'application', passphrase)
  File "/usr/lib/python2.6/dist-packages/twisted/persisted/sob.py", line 210, in loadValueFromFile
    exec fileObj in d, d
  File "/usr/sbin/apt-p2p", line 73, in <module>
    from apt_p2p.apt_p2p import AptP2P
  File "/usr/lib/pymodules/python2.6/apt_p2p/apt_p2p.py", line 19, in <module>
    from MirrorManager import MirrorManager
  File "/usr/lib/pymodules/python2.6/apt_p2p/MirrorManager.py", line 16, in <module>
    from AptPackages import AptPackages
  File "/usr/lib/pymodules/python2.6/apt_p2p/AptPackages.py", line 40, in <module>
    from apt import OpProgress
exceptions.ImportError: cannot import name OpProgress

Failed to load application: cannot import name OpProgress

-----------
If I install "python-debian" to version "0.7.100.1+squeeze", this solves the problem
----------

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (980, 'stable-updates'), (980, 'testing'), (970, 'stable'), (90, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt-p2p depends on:
ii  adduser                       3.113      add and remove users and groups
ii  python                        2.6.7-2    interactive high-level object-orie
ii  python-apt                    0.8.0      Python interface to libapt-pkg
ii  python-debian                 0.1.20     Python modules to work with Debian
ii  python-pysqlite2              2.6.3-2    Python interface to SQLite 3
ii  python-support                1.0.14     automated rebuilding support for P
ii  python-twisted-web2           8.1.0-3    An HTTP/1.1 Server Framework

apt-p2p recommends no packages.

apt-p2p suggests no packages.

-- Configuration Files:
/etc/init.d/apt-p2p changed [not included]

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Cameron Dale <camrdale@gmail.com>:
Bug#635969; Package apt-p2p. (Fri, 29 Jul 2011 21:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tathar dev <tathar.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cameron Dale <camrdale@gmail.com>. (Fri, 29 Jul 2011 21:57:11 GMT) Full text and rfc822 format available.

Message #10 received at 635969@bugs.debian.org (full text, mbox):

From: Tathar dev <tathar.dev@gmail.com>
To: 635969@bugs.debian.org
Subject: Re: Bug#635969: Acknowledgement (/usr/sbin/apt-p2p: Failed to load application: cannot import name OpProgress)
Date: Fri, 29 Jul 2011 23:56:18 +0200
[Message part 1 (text/plain, inline)]
this patch resolv this bug
please check the impact on another version of Debian

thanks

Tathar
[Message part 2 (text/html, inline)]
[OpProgress.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cameron Dale <camrdale@gmail.com>:
Bug#635969; Package apt-p2p. (Sun, 28 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Cameron Dale <camrdale@gmail.com>. (Sun, 28 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 635969@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 635969@bugs.debian.org
Cc: Tathar <tathar.dev@gmail.com>
Subject: Re: Bug#635969: /usr/sbin/apt-p2p: Failed to load application: cannot import name OpProgress
Date: Sun, 28 Oct 2012 15:25:37 +0100
Control: severity -1 grave
Control: tag -1 + patch

Tathar wrote:
> Package: apt-p2p
> Version: 0.1.6
> Severity: important
> File: /usr/sbin/apt-p2p
> 
> Starting apt-p2p
> /usr/lib/pymodules/python2.6/apt_p2p_Khashmir/DHT.py:8: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
>   import os, sha, random
> Unhandled Error
> Traceback (most recent call last):

I ran into this, too, and it makes the package unusable in Wheezy (and
Sid) and hence of the release-critical severity.

Tathar dev wrote:
> this patch resolv this bug

Thanks for the patch. Tagging accordingly.

> please check the impact on another version of Debian

An according versioned dependency should be enough to take of that.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Severity set to 'grave' from 'important' Request was from Axel Beckert <abe@debian.org> to 635969-submit@bugs.debian.org. (Sun, 28 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Axel Beckert <abe@debian.org> to 635969-submit@bugs.debian.org. (Sun, 28 Oct 2012 14:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cameron Dale <camrdale@gmail.com>:
Bug#635969; Package apt-p2p. (Sun, 28 Oct 2012 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Cameron Dale <camrdale@gmail.com>. (Sun, 28 Oct 2012 14:57:06 GMT) Full text and rfc822 format available.

Message #24 received at 635969@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 635969@bugs.debian.org
Cc: Tathar <tathar.dev@gmail.com>
Subject: Re: Bug#635969: /usr/sbin/apt-p2p: Failed to load application: cannot import name OpProgress
Date: Sun, 28 Oct 2012 15:53:42 +0100
Hi again,

I looked into doing an NMU for that and stumbled upon a prepared 0.1.7
release in git.

Axel Beckert wrote:
> > Starting apt-p2p
> > /usr/lib/pymodules/python2.6/apt_p2p_Khashmir/DHT.py:8: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
> >   import os, sha, random
> > Unhandled Error
> > Traceback (most recent call last):
> 
> I ran into this, too, and it makes the package unusable in Wheezy (and
> Sid) and hence of the release-critical severity.

Actually this already fixed[1] in apt-p2p's git repository[1] since Sept.
2011, but was never uploaded.

[1] http://git.camrdale.org/?p=apt-p2p.git;a=commitdiff;h=bf9ad75cf6b83504d467687979475e86dfb57da9

> Tathar dev wrote:
> > this patch resolv this bug
> 
> Thanks for the patch. Tagging accordingly.

Tathar's patch has been applied in the git repository.

> > please check the impact on another version of Debian
> 
> An according versioned dependency should be enough to take of that.

This has been done in the git already, too.

Unfortunately more things have been changed in git, too, which
are rather a no go at that time of the freeze (like Standards-Version
and Source format).

An NMU solely based on the commit in [1] should be doable, though. And
I guess the release team wouldn't mind, if
http://bugs.debian.org/619370 would be fixed in the same go, too. I'll
have a look into it.

Cameron: If you want to do the update yourself, I'm also fine with
sponsoring, say, a 0.1.6.1 to unstable (and 0.1.7 to experimental,
too, if you want).

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Added tag(s) wheezy and confirmed. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 28 Oct 2012 15:30:08 GMT) Full text and rfc822 format available.

Merged 635969 641732 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 28 Oct 2012 15:30:08 GMT) Full text and rfc822 format available.

Added tag(s) sid. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 30 Oct 2012 20:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cameron Dale <camrdale@gmail.com>:
Bug#635969; Package apt-p2p. (Sun, 18 Nov 2012 02:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Cameron Dale <camrdale@gmail.com>. (Sun, 18 Nov 2012 02:09:06 GMT) Full text and rfc822 format available.

Message #35 received at 635969@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 635969@bugs.debian.org
Subject: re: apt-p2p: Failed to load application: cannot import name OpProgress
Date: Sat, 17 Nov 2012 21:07:36 -0500
[Message part 1 (text/plain, inline)]
Hi, I've uploaded an nmu fixing this issue.  Please see attached patch.

Best wishes,
Mike
[apt-p2p.patch (application/octet-stream, attachment)]

Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sun, 18 Nov 2012 02:51:05 GMT) Full text and rfc822 format available.

Notification sent to Tathar <tathar.dev@gmail.com>:
Bug acknowledged by developer. (Sun, 18 Nov 2012 02:51:05 GMT) Full text and rfc822 format available.

Message #40 received at 635969-close@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 635969-close@bugs.debian.org
Subject: Bug#635969: fixed in apt-p2p 0.1.6+nmu1
Date: Sun, 18 Nov 2012 02:47:31 +0000
Source: apt-p2p
Source-Version: 0.1.6+nmu1

We believe that the bug you reported is fixed in the latest version of
apt-p2p, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635969@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Gilbert <mgilbert@debian.org> (supplier of updated apt-p2p package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 18 Nov 2012 01:53:07 +0000
Source: apt-p2p
Binary: apt-p2p
Architecture: source all
Version: 0.1.6+nmu1
Distribution: unstable
Urgency: medium
Maintainer: Cameron Dale <camrdale@gmail.com>
Changed-By: Michael Gilbert <mgilbert@debian.org>
Description: 
 apt-p2p    - apt helper for peer-to-peer downloads of Debian packages
Closes: 635969
Changes: 
 apt-p2p (0.1.6+nmu1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Import OpProgress from apt.progress.old (closes: #635969).
Checksums-Sha1: 
 7b7791da67be7fd690b62aac925b6757aceb25d5 2348 apt-p2p_0.1.6+nmu1.dsc
 b91b1d0934a24810098fa4bb5d6c8078ad3e3dbb 1379964 apt-p2p_0.1.6+nmu1.tar.gz
 7d0b056effc6b4d6d2c681c3ecb3d4f0f5fdc61f 111236 apt-p2p_0.1.6+nmu1_all.deb
Checksums-Sha256: 
 171d3ce12af983c75dfa9db874056cc1ebd72a2bd3d445627bbcde7adcbf76a9 2348 apt-p2p_0.1.6+nmu1.dsc
 b62b4ec067f5bf2802e29ce26a349c73e380c5dcf6cf0acf62a7833096ce30e7 1379964 apt-p2p_0.1.6+nmu1.tar.gz
 a4449f592c06be46fa2da05806de3bdc36f3235f8909e941e5dc12233aa11863 111236 apt-p2p_0.1.6+nmu1_all.deb
Files: 
 c9e08bcda466d9eff9b6026685e9c97d 2348 net optional apt-p2p_0.1.6+nmu1.dsc
 724d6e73a7342d5ea7d87f6a9f662882 1379964 net optional apt-p2p_0.1.6+nmu1.tar.gz
 ef53c66501996c1cd8fa1b1334464453 111236 net optional apt-p2p_0.1.6+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQQcBAEBCAAGBQJQqEJLAAoJELjWss0C1vRzM+0f/1jLdsHDFeNb5wWE5vsYuZX5
E4IMvzuYftoOrjnTzDri1srWlAvyBt6bvI/hGr6wAlcPkDdQ60bsJNsI4DoEk0eT
iCT/0xLiaeXHDEm8hTbUAf8t6se4qWvxOmXLSofZbRW2QDWO57sVz1yFAmCKevcM
SpDovo6nnKKeOwyO6DfvSg05AOrZ7dzDR5ZEXlUenHJCsfREJp6ancQqwV1biXZR
S+K4wMBCpxrKYqHO3f8XXO6Ao/QZrrwtstzgByakTDQMvI2w24DwTvBMhW/BLZCl
3zhU6pM9tzcENjnLgHvALYkXIDucfA1iGU+vmwP3poyZm2/DEEbzcjBZPulNIPgM
dWtY4N1vrVAbHbSjKPDI1jPIexuFUJ7DBNNrvoxSsnhos8COO9u6JmGGrtZxNJBj
g6+u/tssyknxdsIXkxMBfdEimvCn/N9yLm5rAxXiNIK8V6fTN3MiV3gC2TnqSTq6
IZ9PIEudO7gozh/QXDG7biuxExp69T/HVblsSwRXhD1dh9ezukrWhPMf9CNM/Jy3
pNn78F1p/xJAIf75ChUI3NbxJQvq/tnjdGKiSVVWaIJJNBVJFWf9x70svUq1KgEs
8903bZ8Y4ue1peBf6Xy7OBRoK9ArTge0wZ2L3eOPKm7FF2G+McGGDtOTThxjmITh
T08o77B0lDYrOgsWRdG6STU59rQis4+oHa2FTU5s/13s49ohheYkvYz/KYleGrOQ
4Q9LIr1edyIl7VUTV0yeswYVOukEuwIcFp15b0LH6nQ3/h/3sUaZEvRRb1TSP//M
CUk49CVKGbYyqpR8+tk/g6gvPm7XrPz+SPB5q3UJvqdNSDCTqeztUe9sqo/4WSYU
ZNeQKbGff5TuEpy8o6tHp7LsApJFiljBKYNMCu8lUS8g+663gfmvGIyJIkBU55xI
vthluG33uNgzGSsrIR8FSajeVnqIDgSMzu3Riomgfs585ljloijpNRZqt52Sg+P+
y3wVVo1HiSjH4dwuAtn+7M6elYXBgsO6gHaB4uCGK1/r3AeQhB9uG2VBPUMOWhjT
CilEQl+Eg9xVVMX74/3RajNHHZqZfAxRBD+mqeVDU4foyAzIqlzKnms4wDdqf5cW
8CCtNDOSR0SroaboeZREF9CpEHZFUTFjOJrYbFHzaAvPJ15HxZcOmTPSXdDz8+z1
cNtLtqkBuoS9817ViyA3D1HE2OARV0QcKxUSw15VtZ8Kg3k+Y6S+Hb9HOLe9Bcgk
L20tlNvILixljGc5ZopEmUOGmrywxkYqsgz/+rECPNDsRX+PQnHcuSgAyLtvuNJ6
qxaMmne4M/PCvyP5OANy8+91YzkZAxHPk/GygcEzGXdusx2n75GkZz9F6q8qwus=
=9k48
-----END PGP SIGNATURE-----




Reply sent to Michael Gilbert <mgilbert@debian.org>:
You have taken responsibility. (Sun, 18 Nov 2012 02:51:06 GMT) Full text and rfc822 format available.

Notification sent to "Andrew O. Shadura" <bugzilla@tut.by>:
Bug acknowledged by developer. (Sun, 18 Nov 2012 02:51:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Dec 2012 07:26:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:55:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.